--- a/src/AbsProbe.cpp
+++ b/src/AbsProbe.cpp
@@ -52,7 +52,7 @@
 	// use const wherever it makes sense, to ensure const-correctness??
 	// Or maybe I should have implemented operator<() for items and
 	// used the default std::less template...?
-	typedef set<Item*, std::less<const Item*> > ItemCache;
+	typedef set<Item*, std::less<Item*> > ItemCache;
 	ItemCache globalItemCache;
 }
 
--- a/src/ErrnoException.h
+++ b/src/ErrnoException.h
@@ -49,10 +49,10 @@
 		SetErrorMessage(syscall+": "+std::strerror(errnoVal));
 	}
 
-	virtual ~ErrnoException() throw () {
+	virtual ~ErrnoException() {
 	}
 
-	virtual const char* what() const throw() {
+	virtual const char* what() const noexcept {
 		return errorMessage.c_str();
 	}
 };
--- a/src/OutOfMemoryException.h
+++ b/src/OutOfMemoryException.h
@@ -47,10 +47,10 @@
 		: Exception(msg, severity, cause) {
 	}
 
-	virtual ~OutOfMemoryException() throw () {
+	virtual ~OutOfMemoryException() {
 	}
 
-	virtual const char* what() const throw() {
+	virtual const char* what() const noexcept {
 		return errorMessage.c_str();
 	}
 };
--- a/src/probes/unix/RunLevelProbe.cpp
+++ b/src/probes/unix/RunLevelProbe.cpp
@@ -125,7 +125,7 @@
 
 
 void
-RunLevelProbe::_verifyRunlevelObjectAttr( ObjectEntity * service_name, ObjectEntity * runlevel ) const throw( ProbeException ) {
+RunLevelProbe::_verifyRunlevelObjectAttr( ObjectEntity * service_name, ObjectEntity * runlevel ) const {
   
   // check datatypes - only allow string
   if( service_name->GetDatatype() != OvalEnum::DATATYPE_STRING ){
--- a/src/probes/unix/RunLevelProbe.h
+++ b/src/probes/unix/RunLevelProbe.h
@@ -76,7 +76,7 @@
  */
 struct ltrunlevel_item_comparator
 {
-  bool operator() ( const runlevel_item &r1, const runlevel_item &r2 )
+  bool operator() ( const runlevel_item &r1, const runlevel_item &r2 ) const
   {
     return r1.service_name.compare(r2.service_name) < 0;
   }
@@ -115,7 +115,7 @@
       @param runlevel the runlevel runlevel_object entity
       @throws ProbeException if invalid operations or datatypes are encountered
     */
-    void          _verifyRunlevelObjectAttr( ObjectEntity * service_name, ObjectEntity * runlevel ) const throw( ProbeException );
+    void          _verifyRunlevelObjectAttr( ObjectEntity * service_name, ObjectEntity * runlevel ) const;
 
     /**
       Checks to see if the given filename is either "." or ".."
